Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen.asm
[Java] Class ClosureWriter

    java.lang.Object
      org.codehaus.groovy.classgen.asm.ClosureWriter

    public class ClosureWriter
    extends java.lang.Object

Nested Class Summary
`protected interface` | `ClosureWriter.UseExistingReference`

Constructor Summary
`ClosureWriter(WriterController wc)`

Method Summary
`boolean` | `addGeneratedClosureConstructorCall(ConstructorCallExpression call)`
`protected ClassNode` | `createClosureClass(ClosureExpression expression, int mods)`
`protected Parameter[]` | `getClosureSharedVariables(ClosureExpression ce)`
`ClassNode` | `getOrAddClosureClass(ClosureExpression expression, int mods)`
`static void` | `loadReference(java.lang.String name, WriterController controller)`
`void` | `writeClosure(ClosureExpression expression)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ClosureWriter

    public ClosureWriter(WriterController wc)

Method Detail

### addGeneratedClosureConstructorCall

    public boolean addGeneratedClosureConstructorCall(ConstructorCallExpression call)

### createClosureClass

    protected ClassNode createClosureClass(ClosureExpression expression, int mods)

### getClosureSharedVariables

    protected Parameter[] getClosureSharedVariables(ClosureExpression ce)

### getOrAddClosureClass

    public ClassNode getOrAddClosureClass(ClosureExpression expression, int mods)

### loadReference

    public static void loadReference(java.lang.String name, WriterController controller)

### writeClosure

    public void writeClosure(ClosureExpression expression)

Groovy Documentation